审计工具箱4.6版本查询顺丰物流一直查询失败

File "module\b_sfkuaidi.py", line 563, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 572, in sf_single
File "module\b_sfkuaidi.py", line 225, in switch_to_iframe
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //iframe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 603, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

20211214_160958,顺丰快递(近3个月左右单号),单号 [SF1309518571270] 查询用时约 72.8592 秒

20211214_160958,顺丰快递(近3个月左右单号),数据获取失败,未扣除积分!
20211214_160958,顺丰快递(近3个月左右单号),所有快递单号查询结束,总用时约 3 分钟
积分余额已刷新
当前任务运行结束,如有报错请提交Log或者截图!

>>正在运行【提问】,暂时不可进行其他操作!
积分余额已刷新
当前任务运行结束,如有报错请提交Log或者截图!

共以下 2 个回答

  • 王文铖 合伙人 2021年12月19日 上午10:24

    这个日志复制的不完整,没看到最开头的信息,是不是第三列手机尾号没有填写?

    0 赞同 0 条回复
  • THE. SUN 实习生 2021年12月24日 上午10:28

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "module\b_sfkuaidi.py", line 691, in main
    File "module\b_sfkuaidi.py", line 649, in Express
    File "module\b_sfkuaidi.py", line 124, in __init__
    File "module\b_sfkuaidi.py", line 176, in __scan_login
    File "selenium\webdriver\remote\webdriver.py", line 737, in maximize_window
    File "selenium\webdriver\remote\webdriver.py", line 319, in execute
    File "selenium\webdriver\remote\remote_connection.py", line 374, in execute
    File "selenium\webdriver\remote\remote_connection.py", line 397, in _request
    File "urllib3\request.py", line 78, in request
    File "urllib3\request.py", line 170, in request_encode_body
    File "urllib3\poolmanager.py", line 375, in urlopen
    File "urllib3\connectionpool.py", line 783, in urlopen
    File "urllib3\connectionpool.py", line 783, in urlopen
    File "urllib3\connectionpool.py", line 783, in urlopen
    File "urllib3\connectionpool.py", line 755, in urlopen
    File "urllib3\util\retry.py", line 574, in increment
    urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='127.0.0.1', port=63640): Max retries exceeded with url: /session/899d7add-55c7-4bad-a05b-97f40b1473ca/window/maximize (Caused by NewConnectionError(': Failed to establish a new connection: [WinError 10061] 由于目标计算机积极拒绝,无法连接。'))

    积分余额已刷新
    当前任务运行结束,如有报错请提交日志文件或者保存报错截图!

    0 赞同 1 条回复
    • 王文铖 合伙人 @ THE. SUN 2021年12月24日 上午10:30

      先检查一下浏览器的版本号,是否正确,你的这个报错应该是网络环境问题,可以尝试切换其他网络或者手机热点

# 回答此问题

后才能回答